﻿using Infragistics.Controls.Schedules;
using Infragistics.Controls.Schedules.Primitives;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace CustomDialogUsingAppointmentDialogCore
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        ObservableCollection<Resource> resources = new ObservableCollection<Resource>();
        ObservableCollection<ResourceCalendar> calendars = new ObservableCollection<ResourceCalendar>();
        ObservableCollection<AppointmentEx> appointments = new ObservableCollection<AppointmentEx>(); 

        public MainWindow()
        {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            resources.Add(new Resource
            {
                Id = "own1",
                Name = "Amanda"
            });


            calendars.Add(new ResourceCalendar
            {
                Id = "cal1",
                OwningResourceId = "own1"
            });

            for (int i = 0; i < 3; i++)
            {
                AppointmentEx app = new AppointmentEx
                {
                    ID = "t" + i,
                    OwnerCalendar = "cal1",
                    OwnerResource = "own1",
                    Subject = "Appointment " + i,
                    Description = "My  appointment" + i,
                    Start = DateTime.Today.AddHours(i + 1).ToUniversalTime(),
                    End = DateTime.Today.AddHours(i + 3).ToUniversalTime(),
                    Location = "Test Location",
                    Details = "details for my appointment"
                };

                appointments.Add(app);
            }

            //===================== Setting the time zone to the local time zone ==============================//
            dataConnector.TimeZoneInfoProviderResolved.LocalTimeZoneId = TimeZone.CurrentTimeZone.StandardName;
            // ================================================================================================//
            dataConnector.ResourceItemsSource = resources;
            dataConnector.ResourceCalendarItemsSource = calendars;
            dataConnector.AppointmentItemsSource = appointments; 
        }
    } 

    public class AppointmentEx
    {
        public string ID { get; set; }
        public DateTime Start { get; set; }
        public DateTime End { get; set; }
        public string OwnerResource { get; set; }
        public string OwnerCalendar { get; set; }
        public string Subject { get; set; }
        public string Description { get; set; }
        public string Location { get; set; }
        public string Details { get; set; }
    }


}
